I've deleted the previous gemset because I accidentally used 1.9.2 to
run the radiant install and only switched to 1.8.7 after i was getting
the cast issue (known to 1.9.2).

With a fresh gemset, I installed rails and then radiant but I am
getting the following error:

/Users/chance/.rvm/gems/ruby-1.8.7-p352@radiant/gems/radiant-0.9.1/
vendor/rails/activesupport/lib/active_support/dependencies.rb:55:
uninitialized constant ActiveSupport::Dependencies::Mutex (NameError)
        from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
rubygems/custom_require.rb:36:in `gem_original_require'
        from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
rubygems/custom_require.rb:36:in `require'
        from /Users/chance/.rvm/gems/ruby-1.8.7-p352@radiant/gems/
radiant-0.9.1/vendor/rails/activesupport/lib/active_support.rb:57
        from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
rubygems/custom_require.rb:36:in `gem_original_require'
        from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
rubygems/custom_require.rb:36:in `require'
        from /Users/chance/.rvm/gems/ruby-1.8.7-p352@radiant/gems/
radiant-0.9.1/vendor/rails/railties/lib/rails_generator.rb:31
        from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
rubygems/custom_require.rb:36:in `gem_original_require'
        from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
rubygems/custom_require.rb:36:in `require'
        from /Users/chance/.rvm/gems/ruby-1.8.7-p352@radiant/gems/
radiant-0.9.1/bin/radiant:18
        from /Users/chance/.rvm/gems/ruby-1.8.7-p352@radiant/bin/radiant:
19:in `load'
        from /Users/chance/.rvm/gems/ruby-1.8.7-p352@radiant/bin/radiant:19


My gemset is:
unknowne4ce8f0c0404:rails chance$ gem list

*** LOCAL GEMS ***

actionmailer (2.3.11)
actionpack (2.3.11)
activerecord (2.3.11)
activeresource (2.3.11)
activesupport (2.3.11)
rack (1.1.2)
radiant (0.9.1)
rails (2.3.11)
rake (0.8.7)
RedCloth (4.2.7)
will_paginate (2.3.15)

Thanks!

On Aug 6, 5:33 pm, Chance <chance...@gmail.com> wrote:
> First off, I'm still pretty much a Rails newb, especially < 3 so
> forgive me if this is pretty naive. Anyway, I've followed the
> installation instructions but I am running into the following error.
> Any help would be very much appreciated, thanks!
>
> => Booting WEBrick
> => Rails 2.3.11 application starting onhttp://0.0.0.0:3000
> [...warnings about deprecation]
> /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/lib/
> radiant/extension_loader.rb:154:in `select_extension_roots': undefined
> method `each' for nil:NilClass (NoMethodError)
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> lib/radiant/extension_loader.rb:131:in `load_extension_roots'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> lib/radiant/extension_loader.rb:37:in `extension_load_paths'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> lib/radiant/extension_loader.rb:45:in `add_extension_paths'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> lib/radiant/initializer.rb:214:in `set_autoload_paths'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/railties/lib/initializer.rb:135:in `process'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/railties/lib/initializer.rb:113:in `send'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/railties/lib/initializer.rb:113:in `run'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> lib/radiant/initializer.rb:210:in `run'
>         from /Users/chance/code/rails/cs/config/environment.rb:12
>         from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
> rubygems/custom_require.rb:55:in `gem_original_require'
>         from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
> rubygems/custom_require.rb:55:in `require'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/activesupport/lib/active_support/dependencies.rb:182:in
> `require'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/activesupport/lib/active_support/dependencies.rb:547:in
> `new_constants_in'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/activesupport/lib/active_support/dependencies.rb:182:in
> `require'
>         from /Users/chance/.rvm/gems/ruby-1.8.7-p352/gems/radiant-1.0.0.rc2/
> vendor/rails/railties/lib/commands/server.rb:84
>         from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
> rubygems/custom_require.rb:55:in `gem_original_require'
>         from /Users/chance/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/site_ruby/1.8/
> rubygems/custom_require.rb:55:in `require'
>         from script/server:3
>
> Here is my gem list for my 1.8.7 rvm gemset:
>
> actionmailer (2.3.11)
> actionpack (2.3.11)
> activemodel (3.0.9)
> activerecord (2.3.11)
> activeresource (2.3.11)
> activesupport (3.0.9, 2.3.11)
> acts_as_list (0.1.4)
> arel (2.0.10)
> builder (2.1.2)
> cocaine (0.1.0)
> compass (0.10.6)
> delocalize (0.2.6)
> diff-lcs (1.1.2)
> haml (3.0.25)
> i18n (0.5.0)
> mime-types (1.16)
> paperclip (2.3.16)
> rack (1.1.2)
> radiant (1.0.0.rc2, 0.9.1)
> rails (2.3.11)
> rake (0.8.7 ruby)
> RedCloth (4.2.7)
> rspec (2.6.0)
> rspec-core (2.6.4)
> rspec-expectations (2.6.0)
> rspec-mocks (2.6.0)
> tzinfo (0.3.29)
> uuidtools (2.1.2)
> will_paginate (2.3.15)

Reply via email to